package com.company.test.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@NamePattern("%s|name")
@Table(name = "TEST_EQUIPMENT")
@Entity(name = "test$Equipment")
public class Equipment extends StandardEntity {
    private static final long serialVersionUID = -3286922225765962075L;

    @NotNull
    @Column(name = "NAME", nullable = false)
    protected String name;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EQUIPMENT_GROUP_ID")
    protected EquipmentGroup equipmentGroup;

    public void setEquipmentGroup(EquipmentGroup equipmentGroup) {
        this.equipmentGroup = equipmentGroup;
    }

    public EquipmentGroup getEquipmentGroup() {
        return equipmentGroup;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


}