package com.company.test.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import java.util.List;
import javax.persistence.OneToMany;

@NamePattern("%s|name")
@Table(name = "TEST_EQUIPMENT_GROUP")
@Entity(name = "test$EquipmentGroup")
public class EquipmentGroup extends StandardEntity {
    private static final long serialVersionUID = 1946741774410624413L;

    @Column(name = "NAME", nullable = false)
    protected String name;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToMany(mappedBy = "equipmentGroup")
    protected List<Equipment> equipment;

    public void setEquipment(List<Equipment> equipment) {
        this.equipment = equipment;
    }

    public List<Equipment> getEquipment() {
        return equipment;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


}