package com.company.test.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import java.util.List;
import javax.persistence.OneToMany;

@NamePattern("%s|name")
@Table(name = "TEST_EQUIPMENT_KIT")
@Entity(name = "test$EquipmentKit")
public class EquipmentKit extends StandardEntity {
    private static final long serialVersionUID = -7058577714152323805L;

    @Column(name = "NAME")
    protected String name;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MACHINE_ID")
    protected Machine machine;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToMany(mappedBy = "equipmentKit")
    protected List<EqupmentKitLine> equipmentLines;

    public void setEquipmentLines(List<EqupmentKitLine> equipmentLines) {
        this.equipmentLines = equipmentLines;
    }

    public List<EqupmentKitLine> getEquipmentLines() {
        return equipmentLines;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setMachine(Machine machine) {
        this.machine = machine;
    }

    public Machine getMachine() {
        return machine;
    }


}